NisusWrtTextInternal::Font Struct Reference

Internal: the fonts and many other data. More...

## Public Member Functions

| Font ()
| the constructor
bool | isVariable () const

## Public Attributes

MWAWFont | m_font
| the font
int | m_pictureId
| the picture id ( if this is for a picture )
int | m_pictureWidth
| the picture width
int | m_markId
| a mark id
int | m_variableId
| the variable id : in fact cst[unkn] + v_id
int | m_format
| the main format ...
int | m_format2
| a series of flags
MWAWBox2i | m_pictureDim [2]
| two picture dim ( orig && file ?)
std::string | m_extra
| extra data

## Friends

std::ostream & | operator<< (std::ostream &o, Font const &font)
| operator<<

## Detailed Description

Internal: the fonts and many other data.

## Constructor & Destructor Documentation

## Font()

NisusWrtTextInternal::Font::Font | ( |  | ) |

inline

the constructor

Referenced by operator<<.

## Member Function Documentation

## isVariable()

bool NisusWrtTextInternal::Font::isVariable | ( |  | ) | const

inline

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Font const & | font )

friend

operator<<

## Member Data Documentation

## m_extra

std::string NisusWrtTextInternal::Font::m_extra

extra data

Referenced by Font(), operator<<, and NisusWrtText::readFonts().

## m_font

MWAWFont NisusWrtTextInternal::Font::m_font

the font

Referenced by Font(), NisusWrtText::readFonts(), and NisusWrtText::sendText().

## m_format

int NisusWrtTextInternal::Font::m_format

the main format ...

Referenced by Font(), operator<<, and NisusWrtText::readFonts().

## m_format2

int NisusWrtTextInternal::Font::m_format2

a series of flags

Referenced by Font(), isVariable(), operator<<, and NisusWrtText::readFonts().

## m_markId

int NisusWrtTextInternal::Font::m_markId

a mark id

Referenced by Font(), operator<<, and NisusWrtText::readFonts().

## m_pictureDim

MWAWBox2i NisusWrtTextInternal::Font::m_pictureDim[2]

two picture dim ( orig && file ?)

Referenced by operator<<, NisusWrtText::readFonts(), and NisusWrtText::sendText().

## m_pictureId

int NisusWrtTextInternal::Font::m_pictureId

the picture id ( if this is for a picture )

Referenced by Font(), operator<<, NisusWrtText::readFonts(), and NisusWrtText::sendText().

## m_pictureWidth

int NisusWrtTextInternal::Font::m_pictureWidth

the picture width

Referenced by Font(), operator<<, and NisusWrtText::readFonts().

## m_variableId

int NisusWrtTextInternal::Font::m_variableId

the variable id : in fact cst[unkn] + v_id

Referenced by Font(), operator<<, and NisusWrtText::readFonts().

The documentation for this struct was generated from the following file:

- NisusWrtText.cxx